Returns the image sequence as a blob

- « Imagick::getImageBackgroundColor

- Imagick::getImageBluePrimary »

- PHP Manual
- Imagick
- Returns the image sequence as a blob

# Imagick::getImageBlob

(PECL imagick 2, PECL imagick 3)

Imagick::getImageBlob — Returns the image sequence as a blob

### Description

public Imagick::getImageBlob(): string

Implements direct to memory image formats. It returns the image sequence as a string. The format of the image determines the format of the returned blob (GIF, JPEG, PNG, etc.). To return a different image format, use Imagick::setImageFormat().

### Parameters

This function has no parameters.

### Return Values

Returns a string containing the image.

### Errors/Exceptions

Throws ImagickException on error.